﻿using System.Collections.Generic;
using System.Linq;
using VSMASPCoreApp.Models;

namespace VSMASPCoreApp.Repositories
{
    public class MockContactRepository : IContactRepository
    {
        private List<Contact> _contacts;

        public MockContactRepository()
        {
            _contacts = new List<Contact>
            {
                new Contact
                {
                    ContactId = 1,
                    FirstName = "Phillip",
                    LastName = "Fry",
                    EmailAddress = "phillip@planetexpress.com"
                },
                new Contact
                {
                    ContactId = 2,
                    FirstName = "Hubert",
                    LastName = "Farnsworth",
                    EmailAddress = "professor@planetexpress.com"
                },
                new Contact
                {
                    ContactId = 3,
                    FirstName = "Amy",
                    LastName = "Wong",
                    EmailAddress = "amy@planetexpress.com"
                },
                new Contact
                {
                    ContactId = 4,
                    FirstName = "Turanga",
                    LastName = "Leela",
                    EmailAddress = "leela@planetexpress.com"
                },
                new Contact
                {
                    ContactId = 5,
                    FirstName = "Bender",
                    LastName = "Rodriguez",
                    EmailAddress = "bender@planetexpress.com"
                }
            };
        }

        public Contact GetContactById(int id)
        {
            return _contacts.SingleOrDefault(x => x.ContactId == id);
        }

        public IEnumerable<Contact> GetContacts()
        {
            return _contacts.OrderBy(x => x.LastName).ThenBy(x => x.FirstName);
        }
    }
}
